com.google.gwt.aria.client

## Interface GroupRole

- All Superinterfaces:
    Role, SectionRole, StructureRole
  All Known Subinterfaces:
    ComboboxRole, ListboxRole, MenubarRole, MenuRole, RadiogroupRole, RowgroupRole, RowRole, SelectRole, ToolbarRole, TreegridRole, TreeRole
  All Known Implementing Classes:
    ComboboxRoleImpl, GroupRoleImpl, ListboxRoleImpl, MenubarRoleImpl, MenuRoleImpl, RadiogroupRoleImpl, RowgroupRoleImpl, RowRoleImpl, ToolbarRoleImpl, TreegridRoleImpl, TreeRoleImpl

      public interface GroupRole
      extends SectionRole

  A type that represents the group role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty(Element element)` Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty(Element element)` Removes the aria-activedescendant attribute from the `element`.
    `void` | `setAriaActivedescendantProperty(Element element, Id value)` Sets the aria-activedescendant attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaActivedescendantProperty

          java.lang.String getAriaActivedescendantProperty(Element element)

      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaActivedescendantProperty

          void removeAriaActivedescendantProperty(Element element)

      Removes the aria-activedescendant attribute from the `element`.

    - #### setAriaActivedescendantProperty

          void setAriaActivedescendantProperty(Element element,
                                               Id value)

      Sets the aria-activedescendant attribute for the `element` to the given `value`.